# Ender-3-All-in-One-Enclosure


This project is about making an all-in-one solution for upgrading your Ender 3 electronics. I started with the good old Ender 3, but quickly realized I wanted to expand the Ender 3's capabilities, and upgrade the original mainboard. I looked on Thingiverse, but couldn't really find a solution I liked. Thus began the journey of creating my own, all in one solution. I'm not new to CAD, but this is my first major project and my first Github thing, so bear with me and I'm totally open to suggestions and improvements.

Initially I started with these goals in mind:

- Be able to fit many types of mainboards, including the MKS Gen 1.4, MKS Gen L, and the stock mainboard.
- Be able to fit a Raspberry Pi internally for permanent installment, for use with Klipper firmware.
- Have a modular design to allow customization for the user's desires.
- Of course, have it all printable on a stock Ender 3.
- Be open source, and allow users to not only download and print as is, but create their own versions using my source files.
- Minimize material usage and print time when possible

Many improvements have been made and will continue to be made since the original upload.

This Github project will let you follow the progress of my design journey, submit issues and design improvement suggestions, request additional modules and/or versions of parts, request added component compatibility, among other things. It is also the place to download all STLs and Source files, as I don't want to have to manage two separate pages and websites with the same files.
